### Enumeration

# Qmi GasUsbCompositionEndpointType

since: 1.32

#### Declaration

    enum Qmi.GasUsbCompositionEndpointType

#### Description [src]

Peripheral endpoint type.

Available since: 1.32

#### Members

`QMI_GAS_USB_COMPOSITION_ENDPOINT_TYPE_HSUSB`

  High-speed USB.

  - Value: `0`
  - Available since: 1.32
`QMI_GAS_USB_COMPOSITION_ENDPOINT_TYPE_HSIC`

  High-speed inter-chip interface.

  - Value: `1`
  - Available since: 1.32

#### Type functions

###### qmi_gas_usb_composition_endpoint_type_get_string

Gets the nickname string for the `QmiGasUsbCompositionEndpointType` specified at `val`.

since: 1.32